import "../../models/iso_code.dart";

const countryCodeToIsoCode = {
  '247': [IsoCode.AC],
  '376': [IsoCode.AD],
  '971': [IsoCode.AE],
  '93': [IsoCode.AF],
  '1': [
    IsoCode.US,
    IsoCode.AG,
    IsoCode.AI,
    IsoCode.AS,
    IsoCode.BB,
    IsoCode.BM,
    IsoCode.BS,
    IsoCode.CA,
    IsoCode.DM,
    IsoCode.DO,
    IsoCode.GD,
    IsoCode.GU,
    IsoCode.JM,
    IsoCode.KN,
    IsoCode.KY,
    IsoCode.LC,
    IsoCode.MP,
    IsoCode.MS,
    IsoCode.PR,
    IsoCode.SX,
    IsoCode.TC,
    IsoCode.TT,
    IsoCode.VC,
    IsoCode.VG,
    IsoCode.VI
  ],
  '355': [IsoCode.AL],
  '374': [IsoCode.AM],
  '244': [IsoCode.AO],
  '54': [IsoCode.AR],
  '43': [IsoCode.AT],
  '61': [IsoCode.AU, IsoCode.CC, IsoCode.CX],
  '297': [IsoCode.AW],
  '358': [IsoCode.FI, IsoCode.AX],
  '994': [IsoCode.AZ],
  '387': [IsoCode.BA],
  '880': [IsoCode.BD],
  '32': [IsoCode.BE],
  '226': [IsoCode.BF],
  '359': [IsoCode.BG],
  '973': [IsoCode.BH],
  '257': [IsoCode.BI],
  '229': [IsoCode.BJ],
  '590': [IsoCode.GP, IsoCode.BL, IsoCode.MF],
  '673': [IsoCode.BN],
  '591': [IsoCode.BO],
  '599': [IsoCode.CW, IsoCode.BQ],
  '55': [IsoCode.BR],
  '975': [IsoCode.BT],
  '267': [IsoCode.BW],
  '375': [IsoCode.BY],
  '501': [IsoCode.BZ],
  '243': [IsoCode.CD],
  '236': [IsoCode.CF],
  '242': [IsoCode.CG],
  '41': [IsoCode.CH],
  '225': [IsoCode.CI],
  '682': [IsoCode.CK],
  '56': [IsoCode.CL],
  '237': [IsoCode.CM],
  '86': [IsoCode.CN],
  '57': [IsoCode.CO],
  '506': [IsoCode.CR],
  '53': [IsoCode.CU],
  '238': [IsoCode.CV],
  '357': [IsoCode.CY],
  '420': [IsoCode.CZ],
  '49': [IsoCode.DE],
  '253': [IsoCode.DJ],
  '45': [IsoCode.DK],
  '213': [IsoCode.DZ],
  '593': [IsoCode.EC],
  '372': [IsoCode.EE],
  '20': [IsoCode.EG],
  '212': [IsoCode.MA, IsoCode.EH],
  '291': [IsoCode.ER],
  '34': [IsoCode.ES],
  '251': [IsoCode.ET],
  '679': [IsoCode.FJ],
  '500': [IsoCode.FK],
  '691': [IsoCode.FM],
  '298': [IsoCode.FO],
  '33': [IsoCode.FR],
  '241': [IsoCode.GA],
  '44': [IsoCode.GB, IsoCode.GG, IsoCode.IM, IsoCode.JE],
  '995': [IsoCode.GE],
  '594': [IsoCode.GF],
  '233': [IsoCode.GH],
  '350': [IsoCode.GI],
  '299': [IsoCode.GL],
  '220': [IsoCode.GM],
  '224': [IsoCode.GN],
  '240': [IsoCode.GQ],
  '30': [IsoCode.GR],
  '502': [IsoCode.GT],
  '245': [IsoCode.GW],
  '592': [IsoCode.GY],
  '852': [IsoCode.HK],
  '504': [IsoCode.HN],
  '385': [IsoCode.HR],
  '509': [IsoCode.HT],
  '36': [IsoCode.HU],
  '62': [IsoCode.ID],
  '353': [IsoCode.IE],
  '972': [IsoCode.IL],
  '91': [IsoCode.IN],
  '246': [IsoCode.IO],
  '964': [IsoCode.IQ],
  '98': [IsoCode.IR],
  '354': [IsoCode.IS],
  '39': [IsoCode.IT, IsoCode.VA],
  '962': [IsoCode.JO],
  '81': [IsoCode.JP],
  '254': [IsoCode.KE],
  '996': [IsoCode.KG],
  '855': [IsoCode.KH],
  '686': [IsoCode.KI],
  '269': [IsoCode.KM],
  '850': [IsoCode.KP],
  '82': [IsoCode.KR],
  '965': [IsoCode.KW],
  '7': [IsoCode.RU, IsoCode.KZ],
  '856': [IsoCode.LA],
  '961': [IsoCode.LB],
  '423': [IsoCode.LI],
  '94': [IsoCode.LK],
  '231': [IsoCode.LR],
  '266': [IsoCode.LS],
  '370': [IsoCode.LT],
  '352': [IsoCode.LU],
  '371': [IsoCode.LV],
  '218': [IsoCode.LY],
  '377': [IsoCode.MC],
  '373': [IsoCode.MD],
  '382': [IsoCode.ME],
  '261': [IsoCode.MG],
  '692': [IsoCode.MH],
  '389': [IsoCode.MK],
  '223': [IsoCode.ML],
  '95': [IsoCode.MM],
  '976': [IsoCode.MN],
  '853': [IsoCode.MO],
  '596': [IsoCode.MQ],
  '222': [IsoCode.MR],
  '356': [IsoCode.MT],
  '230': [IsoCode.MU],
  '960': [IsoCode.MV],
  '265': [IsoCode.MW],
  '52': [IsoCode.MX],
  '60': [IsoCode.MY],
  '258': [IsoCode.MZ],
  '264': [IsoCode.NA],
  '687': [IsoCode.NC],
  '227': [IsoCode.NE],
  '672': [IsoCode.NF],
  '234': [IsoCode.NG],
  '505': [IsoCode.NI],
  '31': [IsoCode.NL],
  '47': [IsoCode.NO, IsoCode.SJ],
  '977': [IsoCode.NP],
  '674': [IsoCode.NR],
  '683': [IsoCode.NU],
  '64': [IsoCode.NZ],
  '968': [IsoCode.OM],
  '507': [IsoCode.PA],
  '51': [IsoCode.PE],
  '689': [IsoCode.PF],
  '675': [IsoCode.PG],
  '63': [IsoCode.PH],
  '92': [IsoCode.PK],
  '48': [IsoCode.PL],
  '508': [IsoCode.PM],
  '970': [IsoCode.PS],
  '351': [IsoCode.PT],
  '680': [IsoCode.PW],
  '595': [IsoCode.PY],
  '974': [IsoCode.QA],
  '262': [IsoCode.RE, IsoCode.YT],
  '40': [IsoCode.RO],
  '381': [IsoCode.RS],
  '250': [IsoCode.RW],
  '966': [IsoCode.SA],
  '677': [IsoCode.SB],
  '248': [IsoCode.SC],
  '249': [IsoCode.SD],
  '46': [IsoCode.SE],
  '65': [IsoCode.SG],
  '290': [IsoCode.SH, IsoCode.TA],
  '386': [IsoCode.SI],
  '421': [IsoCode.SK],
  '232': [IsoCode.SL],
  '378': [IsoCode.SM],
  '221': [IsoCode.SN],
  '252': [IsoCode.SO],
  '597': [IsoCode.SR],
  '211': [IsoCode.SS],
  '239': [IsoCode.ST],
  '503': [IsoCode.SV],
  '963': [IsoCode.SY],
  '268': [IsoCode.SZ],
  '235': [IsoCode.TD],
  '228': [IsoCode.TG],
  '66': [IsoCode.TH],
  '992': [IsoCode.TJ],
  '690': [IsoCode.TK],
  '670': [IsoCode.TL],
  '993': [IsoCode.TM],
  '216': [IsoCode.TN],
  '676': [IsoCode.TO],
  '90': [IsoCode.TR],
  '688': [IsoCode.TV],
  '886': [IsoCode.TW],
  '255': [IsoCode.TZ],
  '380': [IsoCode.UA],
  '256': [IsoCode.UG],
  '598': [IsoCode.UY],
  '998': [IsoCode.UZ],
  '58': [IsoCode.VE],
  '84': [IsoCode.VN],
  '678': [IsoCode.VU],
  '681': [IsoCode.WF],
  '685': [IsoCode.WS],
  '383': [IsoCode.XK],
  '967': [IsoCode.YE],
  '27': [IsoCode.ZA],
  '260': [IsoCode.ZM],
  '263': [IsoCode.ZW],
};
