import "../../models/iso_code.dart";
import "../models/phone_metadata_examples.dart";

const metadataExamplesByIsoCode = {
  IsoCode.AC: PhoneMetadataExamples(
    fixedLine: r"62889",
    mobile: r"40123",
  ),
  IsoCode.AD: PhoneMetadataExamples(
    fixedLine: r"712345",
    mobile: r"312345",
  ),
  IsoCode.AE: PhoneMetadataExamples(
    fixedLine: r"22345678",
    mobile: r"501234567",
  ),
  IsoCode.AF: PhoneMetadataExamples(
    fixedLine: r"234567890",
    mobile: r"701234567",
  ),
  IsoCode.AG: PhoneMetadataExamples(
    fixedLine: r"2684601234",
    mobile: r"2684641234",
  ),
  IsoCode.AI: PhoneMetadataExamples(
    fixedLine: r"2644612345",
    mobile: r"2642351234",
  ),
  IsoCode.AL: PhoneMetadataExamples(
    fixedLine: r"22345678",
    mobile: r"672123456",
  ),
  IsoCode.AM: PhoneMetadataExamples(
    fixedLine: r"10123456",
    mobile: r"77123456",
  ),
  IsoCode.AO: PhoneMetadataExamples(
    fixedLine: r"222123456",
    mobile: r"923123456",
  ),
  IsoCode.AR: PhoneMetadataExamples(
    fixedLine: r"1123456789",
    mobile: r"91123456789",
  ),
  IsoCode.AS: PhoneMetadataExamples(
    fixedLine: r"6846221234",
    mobile: r"6847331234",
  ),
  IsoCode.AT: PhoneMetadataExamples(
    fixedLine: r"1234567890",
    mobile: r"664123456",
  ),
  IsoCode.AU: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"412345678",
  ),
  IsoCode.AW: PhoneMetadataExamples(
    fixedLine: r"5212345",
    mobile: r"5601234",
  ),
  IsoCode.AX: PhoneMetadataExamples(
    fixedLine: r"181234567",
    mobile: r"412345678",
  ),
  IsoCode.AZ: PhoneMetadataExamples(
    fixedLine: r"123123456",
    mobile: r"401234567",
  ),
  IsoCode.BA: PhoneMetadataExamples(
    fixedLine: r"30212345",
    mobile: r"61123456",
  ),
  IsoCode.BB: PhoneMetadataExamples(
    fixedLine: r"2464123456",
    mobile: r"2462501234",
  ),
  IsoCode.BD: PhoneMetadataExamples(
    fixedLine: r"27111234",
    mobile: r"1812345678",
  ),
  IsoCode.BE: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"470123456",
  ),
  IsoCode.BF: PhoneMetadataExamples(
    fixedLine: r"20491234",
    mobile: r"70123456",
  ),
  IsoCode.BG: PhoneMetadataExamples(
    fixedLine: r"2123456",
    mobile: r"43012345",
  ),
  IsoCode.BH: PhoneMetadataExamples(
    fixedLine: r"17001234",
    mobile: r"36001234",
  ),
  IsoCode.BI: PhoneMetadataExamples(
    fixedLine: r"22201234",
    mobile: r"79561234",
  ),
  IsoCode.BJ: PhoneMetadataExamples(
    fixedLine: r"20211234",
    mobile: r"90011234",
  ),
  IsoCode.BL: PhoneMetadataExamples(
    fixedLine: r"590271234",
    mobile: r"690001234",
  ),
  IsoCode.BM: PhoneMetadataExamples(
    fixedLine: r"4414123456",
    mobile: r"4413701234",
  ),
  IsoCode.BN: PhoneMetadataExamples(
    fixedLine: r"2345678",
    mobile: r"7123456",
  ),
  IsoCode.BO: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"71234567",
  ),
  IsoCode.BQ: PhoneMetadataExamples(
    fixedLine: r"7151234",
    mobile: r"3181234",
  ),
  IsoCode.BR: PhoneMetadataExamples(
    fixedLine: r"1123456789",
    mobile: r"11961234567",
  ),
  IsoCode.BS: PhoneMetadataExamples(
    fixedLine: r"2423456789",
    mobile: r"2423591234",
  ),
  IsoCode.BT: PhoneMetadataExamples(
    fixedLine: r"2345678",
    mobile: r"17123456",
  ),
  IsoCode.BW: PhoneMetadataExamples(
    fixedLine: r"2401234",
    mobile: r"71123456",
  ),
  IsoCode.BY: PhoneMetadataExamples(
    fixedLine: r"152450911",
    mobile: r"294911911",
  ),
  IsoCode.BZ: PhoneMetadataExamples(
    fixedLine: r"2221234",
    mobile: r"6221234",
  ),
  IsoCode.CA: PhoneMetadataExamples(
    fixedLine: r"5062345678",
    mobile: r"5062345678",
  ),
  IsoCode.CC: PhoneMetadataExamples(
    fixedLine: r"891621234",
    mobile: r"412345678",
  ),
  IsoCode.CD: PhoneMetadataExamples(
    fixedLine: r"1234567",
    mobile: r"991234567",
  ),
  IsoCode.CF: PhoneMetadataExamples(
    fixedLine: r"21612345",
    mobile: r"70012345",
  ),
  IsoCode.CG: PhoneMetadataExamples(
    fixedLine: r"222123456",
    mobile: r"061234567",
  ),
  IsoCode.CH: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"781234567",
  ),
  IsoCode.CI: PhoneMetadataExamples(
    fixedLine: r"2123456789",
    mobile: r"0123456789",
  ),
  IsoCode.CK: PhoneMetadataExamples(
    fixedLine: r"21234",
    mobile: r"71234",
  ),
  IsoCode.CL: PhoneMetadataExamples(
    fixedLine: r"221234567",
    mobile: r"221234567",
  ),
  IsoCode.CM: PhoneMetadataExamples(
    fixedLine: r"222123456",
    mobile: r"671234567",
  ),
  IsoCode.CN: PhoneMetadataExamples(
    fixedLine: r"1012345678",
    mobile: r"13123456789",
  ),
  IsoCode.CO: PhoneMetadataExamples(
    fixedLine: r"6012345678",
    mobile: r"3211234567",
  ),
  IsoCode.CR: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"83123456",
  ),
  IsoCode.CU: PhoneMetadataExamples(
    fixedLine: r"71234567",
    mobile: r"51234567",
  ),
  IsoCode.CV: PhoneMetadataExamples(
    fixedLine: r"2211234",
    mobile: r"9911234",
  ),
  IsoCode.CW: PhoneMetadataExamples(
    fixedLine: r"94351234",
    mobile: r"95181234",
  ),
  IsoCode.CX: PhoneMetadataExamples(
    fixedLine: r"891641234",
    mobile: r"412345678",
  ),
  IsoCode.CY: PhoneMetadataExamples(
    fixedLine: r"22345678",
    mobile: r"96123456",
  ),
  IsoCode.CZ: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"601123456",
  ),
  IsoCode.DE: PhoneMetadataExamples(
    fixedLine: r"30123456",
    mobile: r"15123456789",
  ),
  IsoCode.DJ: PhoneMetadataExamples(
    fixedLine: r"21360003",
    mobile: r"77831001",
  ),
  IsoCode.DK: PhoneMetadataExamples(
    fixedLine: r"32123456",
    mobile: r"32123456",
  ),
  IsoCode.DM: PhoneMetadataExamples(
    fixedLine: r"7674201234",
    mobile: r"7672251234",
  ),
  IsoCode.DO: PhoneMetadataExamples(
    fixedLine: r"8092345678",
    mobile: r"8092345678",
  ),
  IsoCode.DZ: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"551234567",
  ),
  IsoCode.EC: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"991234567",
  ),
  IsoCode.EE: PhoneMetadataExamples(
    fixedLine: r"3212345",
    mobile: r"51234567",
  ),
  IsoCode.EG: PhoneMetadataExamples(
    fixedLine: r"234567890",
    mobile: r"1001234567",
  ),
  IsoCode.EH: PhoneMetadataExamples(
    fixedLine: r"528812345",
    mobile: r"650123456",
  ),
  IsoCode.ER: PhoneMetadataExamples(
    fixedLine: r"8370362",
    mobile: r"7123456",
  ),
  IsoCode.ES: PhoneMetadataExamples(
    fixedLine: r"810123456",
    mobile: r"612345678",
  ),
  IsoCode.ET: PhoneMetadataExamples(
    fixedLine: r"111112345",
    mobile: r"911234567",
  ),
  IsoCode.FI: PhoneMetadataExamples(
    fixedLine: r"131234567",
    mobile: r"412345678",
  ),
  IsoCode.FJ: PhoneMetadataExamples(
    fixedLine: r"3212345",
    mobile: r"7012345",
  ),
  IsoCode.FK: PhoneMetadataExamples(
    fixedLine: r"31234",
    mobile: r"51234",
  ),
  IsoCode.FM: PhoneMetadataExamples(
    fixedLine: r"3201234",
    mobile: r"3501234",
  ),
  IsoCode.FO: PhoneMetadataExamples(
    fixedLine: r"201234",
    mobile: r"211234",
  ),
  IsoCode.FR: PhoneMetadataExamples(
    fixedLine: r"123456789",
    mobile: r"612345678",
  ),
  IsoCode.GA: PhoneMetadataExamples(
    fixedLine: r"01441234",
    mobile: r"06031234",
  ),
  IsoCode.GB: PhoneMetadataExamples(
    fixedLine: r"1212345678",
    mobile: r"7400123456",
  ),
  IsoCode.GD: PhoneMetadataExamples(
    fixedLine: r"4732691234",
    mobile: r"4734031234",
  ),
  IsoCode.GE: PhoneMetadataExamples(
    fixedLine: r"322123456",
    mobile: r"555123456",
  ),
  IsoCode.GF: PhoneMetadataExamples(
    fixedLine: r"594101234",
    mobile: r"694201234",
  ),
  IsoCode.GG: PhoneMetadataExamples(
    fixedLine: r"1481256789",
    mobile: r"7781123456",
  ),
  IsoCode.GH: PhoneMetadataExamples(
    fixedLine: r"302345678",
    mobile: r"231234567",
  ),
  IsoCode.GI: PhoneMetadataExamples(
    fixedLine: r"20012345",
    mobile: r"57123456",
  ),
  IsoCode.GL: PhoneMetadataExamples(
    fixedLine: r"321000",
    mobile: r"221234",
  ),
  IsoCode.GM: PhoneMetadataExamples(
    fixedLine: r"5661234",
    mobile: r"3012345",
  ),
  IsoCode.GN: PhoneMetadataExamples(
    fixedLine: r"30241234",
    mobile: r"601123456",
  ),
  IsoCode.GP: PhoneMetadataExamples(
    fixedLine: r"590201234",
    mobile: r"690001234",
  ),
  IsoCode.GQ: PhoneMetadataExamples(
    fixedLine: r"333091234",
    mobile: r"222123456",
  ),
  IsoCode.GR: PhoneMetadataExamples(
    fixedLine: r"2123456789",
    mobile: r"6912345678",
  ),
  IsoCode.GT: PhoneMetadataExamples(
    fixedLine: r"22456789",
    mobile: r"51234567",
  ),
  IsoCode.GU: PhoneMetadataExamples(
    fixedLine: r"6713001234",
    mobile: r"6713001234",
  ),
  IsoCode.GW: PhoneMetadataExamples(
    fixedLine: r"443201234",
    mobile: r"955012345",
  ),
  IsoCode.GY: PhoneMetadataExamples(
    fixedLine: r"2201234",
    mobile: r"6091234",
  ),
  IsoCode.HK: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"51234567",
  ),
  IsoCode.HN: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"91234567",
  ),
  IsoCode.HR: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"921234567",
  ),
  IsoCode.HT: PhoneMetadataExamples(
    fixedLine: r"22453300",
    mobile: r"34101234",
  ),
  IsoCode.HU: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"201234567",
  ),
  IsoCode.ID: PhoneMetadataExamples(
    fixedLine: r"218350123",
    mobile: r"812345678",
  ),
  IsoCode.IE: PhoneMetadataExamples(
    fixedLine: r"2212345",
    mobile: r"850123456",
  ),
  IsoCode.IL: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"502345678",
  ),
  IsoCode.IM: PhoneMetadataExamples(
    fixedLine: r"1624756789",
    mobile: r"7924123456",
  ),
  IsoCode.IN: PhoneMetadataExamples(
    fixedLine: r"7410410123",
    mobile: r"8123456789",
  ),
  IsoCode.IO: PhoneMetadataExamples(
    fixedLine: r"3709100",
    mobile: r"3801234",
  ),
  IsoCode.IQ: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"7912345678",
  ),
  IsoCode.IR: PhoneMetadataExamples(
    fixedLine: r"2123456789",
    mobile: r"9123456789",
  ),
  IsoCode.IS: PhoneMetadataExamples(
    fixedLine: r"4101234",
    mobile: r"6111234",
  ),
  IsoCode.IT: PhoneMetadataExamples(
    fixedLine: r"0212345678",
    mobile: r"3123456789",
  ),
  IsoCode.JE: PhoneMetadataExamples(
    fixedLine: r"1534456789",
    mobile: r"7797712345",
  ),
  IsoCode.JM: PhoneMetadataExamples(
    fixedLine: r"8765230123",
    mobile: r"8762101234",
  ),
  IsoCode.JO: PhoneMetadataExamples(
    fixedLine: r"62001234",
    mobile: r"790123456",
  ),
  IsoCode.JP: PhoneMetadataExamples(
    fixedLine: r"312345678",
    mobile: r"9012345678",
  ),
  IsoCode.KE: PhoneMetadataExamples(
    fixedLine: r"202012345",
    mobile: r"712123456",
  ),
  IsoCode.KG: PhoneMetadataExamples(
    fixedLine: r"312123456",
    mobile: r"700123456",
  ),
  IsoCode.KH: PhoneMetadataExamples(
    fixedLine: r"23756789",
    mobile: r"91234567",
  ),
  IsoCode.KI: PhoneMetadataExamples(
    fixedLine: r"31234",
    mobile: r"72001234",
  ),
  IsoCode.KM: PhoneMetadataExamples(
    fixedLine: r"7712345",
    mobile: r"3212345",
  ),
  IsoCode.KN: PhoneMetadataExamples(
    fixedLine: r"8692361234",
    mobile: r"8697652917",
  ),
  IsoCode.KP: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"1921234567",
  ),
  IsoCode.KR: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"1020000000",
  ),
  IsoCode.KW: PhoneMetadataExamples(
    fixedLine: r"22345678",
    mobile: r"50012345",
  ),
  IsoCode.KY: PhoneMetadataExamples(
    fixedLine: r"3452221234",
    mobile: r"3453231234",
  ),
  IsoCode.KZ: PhoneMetadataExamples(
    fixedLine: r"7123456789",
    mobile: r"7710009998",
  ),
  IsoCode.LA: PhoneMetadataExamples(
    fixedLine: r"21212862",
    mobile: r"2023123456",
  ),
  IsoCode.LB: PhoneMetadataExamples(
    fixedLine: r"1123456",
    mobile: r"71123456",
  ),
  IsoCode.LC: PhoneMetadataExamples(
    fixedLine: r"7584305678",
    mobile: r"7582845678",
  ),
  IsoCode.LI: PhoneMetadataExamples(
    fixedLine: r"2345678",
    mobile: r"660234567",
  ),
  IsoCode.LK: PhoneMetadataExamples(
    fixedLine: r"112345678",
    mobile: r"712345678",
  ),
  IsoCode.LR: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"770123456",
  ),
  IsoCode.LS: PhoneMetadataExamples(
    fixedLine: r"22123456",
    mobile: r"50123456",
  ),
  IsoCode.LT: PhoneMetadataExamples(
    fixedLine: r"31234567",
    mobile: r"61234567",
  ),
  IsoCode.LU: PhoneMetadataExamples(
    fixedLine: r"27123456",
    mobile: r"628123456",
  ),
  IsoCode.LV: PhoneMetadataExamples(
    fixedLine: r"63123456",
    mobile: r"21234567",
  ),
  IsoCode.LY: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"912345678",
  ),
  IsoCode.MA: PhoneMetadataExamples(
    fixedLine: r"520123456",
    mobile: r"650123456",
  ),
  IsoCode.MC: PhoneMetadataExamples(
    fixedLine: r"99123456",
    mobile: r"612345678",
  ),
  IsoCode.MD: PhoneMetadataExamples(
    fixedLine: r"22212345",
    mobile: r"62112345",
  ),
  IsoCode.ME: PhoneMetadataExamples(
    fixedLine: r"30234567",
    mobile: r"67622901",
  ),
  IsoCode.MF: PhoneMetadataExamples(
    fixedLine: r"590271234",
    mobile: r"690001234",
  ),
  IsoCode.MG: PhoneMetadataExamples(
    fixedLine: r"202123456",
    mobile: r"321234567",
  ),
  IsoCode.MH: PhoneMetadataExamples(
    fixedLine: r"2471234",
    mobile: r"2351234",
  ),
  IsoCode.MK: PhoneMetadataExamples(
    fixedLine: r"22012345",
    mobile: r"72345678",
  ),
  IsoCode.ML: PhoneMetadataExamples(
    fixedLine: r"20212345",
    mobile: r"65012345",
  ),
  IsoCode.MM: PhoneMetadataExamples(
    fixedLine: r"1234567",
    mobile: r"92123456",
  ),
  IsoCode.MN: PhoneMetadataExamples(
    fixedLine: r"53123456",
    mobile: r"88123456",
  ),
  IsoCode.MO: PhoneMetadataExamples(
    fixedLine: r"28212345",
    mobile: r"66123456",
  ),
  IsoCode.MP: PhoneMetadataExamples(
    fixedLine: r"6702345678",
    mobile: r"6702345678",
  ),
  IsoCode.MQ: PhoneMetadataExamples(
    fixedLine: r"596301234",
    mobile: r"696201234",
  ),
  IsoCode.MR: PhoneMetadataExamples(
    fixedLine: r"35123456",
    mobile: r"22123456",
  ),
  IsoCode.MS: PhoneMetadataExamples(
    fixedLine: r"6644912345",
    mobile: r"6644923456",
  ),
  IsoCode.MT: PhoneMetadataExamples(
    fixedLine: r"21001234",
    mobile: r"96961234",
  ),
  IsoCode.MU: PhoneMetadataExamples(
    fixedLine: r"54480123",
    mobile: r"52512345",
  ),
  IsoCode.MV: PhoneMetadataExamples(
    fixedLine: r"6701234",
    mobile: r"7712345",
  ),
  IsoCode.MW: PhoneMetadataExamples(
    fixedLine: r"1234567",
    mobile: r"991234567",
  ),
  IsoCode.MX: PhoneMetadataExamples(
    fixedLine: r"2001234567",
    mobile: r"12221234567",
  ),
  IsoCode.MY: PhoneMetadataExamples(
    fixedLine: r"323856789",
    mobile: r"123456789",
  ),
  IsoCode.MZ: PhoneMetadataExamples(
    fixedLine: r"21123456",
    mobile: r"821234567",
  ),
  IsoCode.NA: PhoneMetadataExamples(
    fixedLine: r"61221234",
    mobile: r"811234567",
  ),
  IsoCode.NC: PhoneMetadataExamples(
    fixedLine: r"201234",
    mobile: r"751234",
  ),
  IsoCode.NE: PhoneMetadataExamples(
    fixedLine: r"20201234",
    mobile: r"93123456",
  ),
  IsoCode.NF: PhoneMetadataExamples(
    fixedLine: r"106609",
    mobile: r"381234",
  ),
  IsoCode.NG: PhoneMetadataExamples(
    fixedLine: r"18040123",
    mobile: r"8021234567",
  ),
  IsoCode.NI: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"81234567",
  ),
  IsoCode.NL: PhoneMetadataExamples(
    fixedLine: r"101234567",
    mobile: r"612345678",
  ),
  IsoCode.NO: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"40612345",
  ),
  IsoCode.NP: PhoneMetadataExamples(
    fixedLine: r"14567890",
    mobile: r"9841234567",
  ),
  IsoCode.NR: PhoneMetadataExamples(
    fixedLine: r"4441234",
    mobile: r"5551234",
  ),
  IsoCode.NU: PhoneMetadataExamples(
    fixedLine: r"7012",
    mobile: r"8884012",
  ),
  IsoCode.NZ: PhoneMetadataExamples(
    fixedLine: r"32345678",
    mobile: r"211234567",
  ),
  IsoCode.OM: PhoneMetadataExamples(
    fixedLine: r"23123456",
    mobile: r"92123456",
  ),
  IsoCode.PA: PhoneMetadataExamples(
    fixedLine: r"2001234",
    mobile: r"61234567",
  ),
  IsoCode.PE: PhoneMetadataExamples(
    fixedLine: r"11234567",
    mobile: r"912345678",
  ),
  IsoCode.PF: PhoneMetadataExamples(
    fixedLine: r"40412345",
    mobile: r"87123456",
  ),
  IsoCode.PG: PhoneMetadataExamples(
    fixedLine: r"3123456",
    mobile: r"70123456",
  ),
  IsoCode.PH: PhoneMetadataExamples(
    fixedLine: r"232345678",
    mobile: r"9051234567",
  ),
  IsoCode.PK: PhoneMetadataExamples(
    fixedLine: r"2123456789",
    mobile: r"3012345678",
  ),
  IsoCode.PL: PhoneMetadataExamples(
    fixedLine: r"123456789",
    mobile: r"512345678",
  ),
  IsoCode.PM: PhoneMetadataExamples(
    fixedLine: r"430123",
    mobile: r"551234",
  ),
  IsoCode.PR: PhoneMetadataExamples(
    fixedLine: r"7872345678",
    mobile: r"7872345678",
  ),
  IsoCode.PS: PhoneMetadataExamples(
    fixedLine: r"22234567",
    mobile: r"599123456",
  ),
  IsoCode.PT: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"912345678",
  ),
  IsoCode.PW: PhoneMetadataExamples(
    fixedLine: r"2771234",
    mobile: r"6201234",
  ),
  IsoCode.PY: PhoneMetadataExamples(
    fixedLine: r"212345678",
    mobile: r"961456789",
  ),
  IsoCode.QA: PhoneMetadataExamples(
    fixedLine: r"44123456",
    mobile: r"33123456",
  ),
  IsoCode.RE: PhoneMetadataExamples(
    fixedLine: r"262161234",
    mobile: r"692123456",
  ),
  IsoCode.RO: PhoneMetadataExamples(
    fixedLine: r"211234567",
    mobile: r"712034567",
  ),
  IsoCode.RS: PhoneMetadataExamples(
    fixedLine: r"10234567",
    mobile: r"601234567",
  ),
  IsoCode.RU: PhoneMetadataExamples(
    fixedLine: r"3011234567",
    mobile: r"9123456789",
  ),
  IsoCode.RW: PhoneMetadataExamples(
    fixedLine: r"250123456",
    mobile: r"720123456",
  ),
  IsoCode.SA: PhoneMetadataExamples(
    fixedLine: r"112345678",
    mobile: r"512345678",
  ),
  IsoCode.SB: PhoneMetadataExamples(
    fixedLine: r"40123",
    mobile: r"7421234",
  ),
  IsoCode.SC: PhoneMetadataExamples(
    fixedLine: r"4217123",
    mobile: r"2510123",
  ),
  IsoCode.SD: PhoneMetadataExamples(
    fixedLine: r"153123456",
    mobile: r"911231234",
  ),
  IsoCode.SE: PhoneMetadataExamples(
    fixedLine: r"8123456",
    mobile: r"701234567",
  ),
  IsoCode.SG: PhoneMetadataExamples(
    fixedLine: r"61234567",
    mobile: r"81234567",
  ),
  IsoCode.SH: PhoneMetadataExamples(
    fixedLine: r"22158",
    mobile: r"51234",
  ),
  IsoCode.SI: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"31234567",
  ),
  IsoCode.SJ: PhoneMetadataExamples(
    fixedLine: r"79123456",
    mobile: r"41234567",
  ),
  IsoCode.SK: PhoneMetadataExamples(
    fixedLine: r"221234567",
    mobile: r"912123456",
  ),
  IsoCode.SL: PhoneMetadataExamples(
    fixedLine: r"22221234",
    mobile: r"25123456",
  ),
  IsoCode.SM: PhoneMetadataExamples(
    fixedLine: r"0549886377",
    mobile: r"66661212",
  ),
  IsoCode.SN: PhoneMetadataExamples(
    fixedLine: r"301012345",
    mobile: r"701234567",
  ),
  IsoCode.SO: PhoneMetadataExamples(
    fixedLine: r"4012345",
    mobile: r"71123456",
  ),
  IsoCode.SR: PhoneMetadataExamples(
    fixedLine: r"211234",
    mobile: r"7412345",
  ),
  IsoCode.SS: PhoneMetadataExamples(
    fixedLine: r"181234567",
    mobile: r"977123456",
  ),
  IsoCode.ST: PhoneMetadataExamples(
    fixedLine: r"2221234",
    mobile: r"9812345",
  ),
  IsoCode.SV: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"70123456",
  ),
  IsoCode.SX: PhoneMetadataExamples(
    fixedLine: r"7215425678",
    mobile: r"7215205678",
  ),
  IsoCode.SY: PhoneMetadataExamples(
    fixedLine: r"112345678",
    mobile: r"944567890",
  ),
  IsoCode.SZ: PhoneMetadataExamples(
    fixedLine: r"22171234",
    mobile: r"76123456",
  ),
  IsoCode.TA: PhoneMetadataExamples(
    fixedLine: r"8999",
    mobile: r"8999",
  ),
  IsoCode.TC: PhoneMetadataExamples(
    fixedLine: r"6497121234",
    mobile: r"6492311234",
  ),
  IsoCode.TD: PhoneMetadataExamples(
    fixedLine: r"22501234",
    mobile: r"63012345",
  ),
  IsoCode.TG: PhoneMetadataExamples(
    fixedLine: r"22212345",
    mobile: r"90112345",
  ),
  IsoCode.TH: PhoneMetadataExamples(
    fixedLine: r"21234567",
    mobile: r"812345678",
  ),
  IsoCode.TJ: PhoneMetadataExamples(
    fixedLine: r"372123456",
    mobile: r"917123456",
  ),
  IsoCode.TK: PhoneMetadataExamples(
    fixedLine: r"3101",
    mobile: r"7290",
  ),
  IsoCode.TL: PhoneMetadataExamples(
    fixedLine: r"2112345",
    mobile: r"77212345",
  ),
  IsoCode.TM: PhoneMetadataExamples(
    fixedLine: r"12345678",
    mobile: r"66123456",
  ),
  IsoCode.TN: PhoneMetadataExamples(
    fixedLine: r"30010123",
    mobile: r"20123456",
  ),
  IsoCode.TO: PhoneMetadataExamples(
    fixedLine: r"20123",
    mobile: r"7715123",
  ),
  IsoCode.TR: PhoneMetadataExamples(
    fixedLine: r"2123456789",
    mobile: r"5012345678",
  ),
  IsoCode.TT: PhoneMetadataExamples(
    fixedLine: r"8682211234",
    mobile: r"8682911234",
  ),
  IsoCode.TV: PhoneMetadataExamples(
    fixedLine: r"20123",
    mobile: r"901234",
  ),
  IsoCode.TW: PhoneMetadataExamples(
    fixedLine: r"221234567",
    mobile: r"912345678",
  ),
  IsoCode.TZ: PhoneMetadataExamples(
    fixedLine: r"222345678",
    mobile: r"621234567",
  ),
  IsoCode.UA: PhoneMetadataExamples(
    fixedLine: r"311234567",
    mobile: r"501234567",
  ),
  IsoCode.UG: PhoneMetadataExamples(
    fixedLine: r"312345678",
    mobile: r"712345678",
  ),
  IsoCode.US: PhoneMetadataExamples(
    fixedLine: r"2015550123",
    mobile: r"2015550123",
  ),
  IsoCode.UY: PhoneMetadataExamples(
    fixedLine: r"21231234",
    mobile: r"94231234",
  ),
  IsoCode.UZ: PhoneMetadataExamples(
    fixedLine: r"669050123",
    mobile: r"912345678",
  ),
  IsoCode.VA: PhoneMetadataExamples(
    fixedLine: r"0669812345",
    mobile: r"3123456789",
  ),
  IsoCode.VC: PhoneMetadataExamples(
    fixedLine: r"7842661234",
    mobile: r"7844301234",
  ),
  IsoCode.VE: PhoneMetadataExamples(
    fixedLine: r"2121234567",
    mobile: r"4121234567",
  ),
  IsoCode.VG: PhoneMetadataExamples(
    fixedLine: r"2842291234",
    mobile: r"2843001234",
  ),
  IsoCode.VI: PhoneMetadataExamples(
    fixedLine: r"3406421234",
    mobile: r"3406421234",
  ),
  IsoCode.VN: PhoneMetadataExamples(
    fixedLine: r"2101234567",
    mobile: r"912345678",
  ),
  IsoCode.VU: PhoneMetadataExamples(
    fixedLine: r"22123",
    mobile: r"5912345",
  ),
  IsoCode.WF: PhoneMetadataExamples(
    fixedLine: r"721234",
    mobile: r"821234",
  ),
  IsoCode.WS: PhoneMetadataExamples(
    fixedLine: r"22123",
    mobile: r"7212345",
  ),
  IsoCode.XK: PhoneMetadataExamples(
    fixedLine: r"28012345",
    mobile: r"43201234",
  ),
  IsoCode.YE: PhoneMetadataExamples(
    fixedLine: r"1234567",
    mobile: r"712345678",
  ),
  IsoCode.YT: PhoneMetadataExamples(
    fixedLine: r"269601234",
    mobile: r"639012345",
  ),
  IsoCode.ZA: PhoneMetadataExamples(
    fixedLine: r"101234567",
    mobile: r"711234567",
  ),
  IsoCode.ZM: PhoneMetadataExamples(
    fixedLine: r"211234567",
    mobile: r"955123456",
  ),
  IsoCode.ZW: PhoneMetadataExamples(
    fixedLine: r"1312345",
    mobile: r"712345678",
  ),
};
