import "../../models/iso_code.dart";
import "../models/phone_metadata_lengths.dart";

const metadataLenghtsByIsoCode = {
  IsoCode.AC: PhoneMetadataLengths(
    general: [],
    mobile: [5],
    fixedLine: [5],
  ),
  IsoCode.AD: PhoneMetadataLengths(
    general: [],
    mobile: [6, 9],
    fixedLine: [6],
  ),
  IsoCode.AE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.AF: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.AG: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.AI: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.AL: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.AM: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.AO: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.AR: PhoneMetadataLengths(
    general: [],
    mobile: [10, 11],
    fixedLine: [10],
  ),
  IsoCode.AS: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.AT: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8, 9, 10, 11, 12, 13],
    fixedLine: [4, 5, 6, 7, 8, 9, 10, 11, 12, 13],
  ),
  IsoCode.AU: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.AW: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.AX: PhoneMetadataLengths(
    general: [],
    mobile: [6, 7, 8, 9, 10],
    fixedLine: [6, 7, 8, 9],
  ),
  IsoCode.AZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.BA: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9],
    fixedLine: [8],
  ),
  IsoCode.BB: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.BD: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [6, 7, 8, 9, 10],
  ),
  IsoCode.BE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.BF: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.BG: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9],
    fixedLine: [6, 7, 8],
  ),
  IsoCode.BH: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.BI: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.BJ: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.BL: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.BM: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.BN: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.BO: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.BQ: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.BR: PhoneMetadataLengths(
    general: [],
    mobile: [10, 11],
    fixedLine: [10],
  ),
  IsoCode.BS: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.BT: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [7],
  ),
  IsoCode.BW: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [7],
  ),
  IsoCode.BY: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.BZ: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.CA: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.CC: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CD: PhoneMetadataLengths(
    general: [],
    mobile: [7, 9],
    fixedLine: [7, 9],
  ),
  IsoCode.CF: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.CG: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CH: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CI: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.CK: PhoneMetadataLengths(
    general: [],
    mobile: [5],
    fixedLine: [5],
  ),
  IsoCode.CL: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CM: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CN: PhoneMetadataLengths(
    general: [],
    mobile: [11],
    fixedLine: [7, 8, 9, 10, 11],
  ),
  IsoCode.CO: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.CR: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.CU: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [6, 7, 8, 10],
  ),
  IsoCode.CV: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.CW: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8],
    fixedLine: [7, 8],
  ),
  IsoCode.CX: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.CY: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.CZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.DE: PhoneMetadataLengths(
    general: [],
    mobile: [10, 11],
    fixedLine: [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
  ),
  IsoCode.DJ: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.DK: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.DM: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.DO: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.DZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 9],
  ),
  IsoCode.EC: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.EE: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8],
    fixedLine: [7],
  ),
  IsoCode.EG: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [8, 9],
  ),
  IsoCode.EH: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.ER: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.ES: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.ET: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.FI: PhoneMetadataLengths(
    general: [],
    mobile: [6, 7, 8, 9, 10],
    fixedLine: [5, 6, 7, 8, 9],
  ),
  IsoCode.FJ: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.FK: PhoneMetadataLengths(
    general: [],
    mobile: [5],
    fixedLine: [5],
  ),
  IsoCode.FM: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.FO: PhoneMetadataLengths(
    general: [],
    mobile: [6],
    fixedLine: [6],
  ),
  IsoCode.FR: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GA: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8],
    fixedLine: [8],
  ),
  IsoCode.GB: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [9, 10],
  ),
  IsoCode.GD: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.GE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GF: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GG: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.GH: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GI: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.GL: PhoneMetadataLengths(
    general: [],
    mobile: [6],
    fixedLine: [6],
  ),
  IsoCode.GM: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.GN: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.GP: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GQ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GR: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.GT: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.GU: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.GW: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.GY: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.HK: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.HN: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.HR: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9],
    fixedLine: [8, 9],
  ),
  IsoCode.HT: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.HU: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.ID: PhoneMetadataLengths(
    general: [],
    mobile: [9, 10, 11, 12],
    fixedLine: [7, 8, 9, 10, 11],
  ),
  IsoCode.IE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 8, 9, 10],
  ),
  IsoCode.IL: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 11, 12],
  ),
  IsoCode.IM: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.IN: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.IO: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.IQ: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [8, 9],
  ),
  IsoCode.IR: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [6, 7, 10],
  ),
  IsoCode.IS: PhoneMetadataLengths(
    general: [],
    mobile: [7, 9],
    fixedLine: [7],
  ),
  IsoCode.IT: PhoneMetadataLengths(
    general: [],
    mobile: [9, 10],
    fixedLine: [6, 7, 8, 9, 10, 11],
  ),
  IsoCode.JE: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.JM: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.JO: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.JP: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [9],
  ),
  IsoCode.KE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 8, 9],
  ),
  IsoCode.KG: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.KH: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9],
    fixedLine: [8, 9],
  ),
  IsoCode.KI: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [5, 8],
  ),
  IsoCode.KM: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.KN: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.KP: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [8, 10],
  ),
  IsoCode.KR: PhoneMetadataLengths(
    general: [],
    mobile: [9, 10],
    fixedLine: [5, 6, 8, 9, 10],
  ),
  IsoCode.KW: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.KY: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.KZ: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.LA: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [8],
  ),
  IsoCode.LB: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8],
    fixedLine: [7, 8],
  ),
  IsoCode.LC: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.LI: PhoneMetadataLengths(
    general: [],
    mobile: [7, 9],
    fixedLine: [7],
  ),
  IsoCode.LK: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.LR: PhoneMetadataLengths(
    general: [],
    mobile: [7, 9],
    fixedLine: [8],
  ),
  IsoCode.LS: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.LT: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.LU: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [4, 5, 6, 7, 8, 9, 10, 11],
  ),
  IsoCode.LV: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.LY: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.MA: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.MC: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9],
    fixedLine: [8],
  ),
  IsoCode.MD: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.ME: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.MF: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.MG: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.MH: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.MK: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.ML: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.MM: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8, 9, 10],
    fixedLine: [6, 7, 8, 9],
  ),
  IsoCode.MN: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8, 9, 10],
  ),
  IsoCode.MO: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.MP: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.MQ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.MR: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.MS: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.MT: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.MU: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [7, 8],
  ),
  IsoCode.MV: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.MW: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 9],
  ),
  IsoCode.MX: PhoneMetadataLengths(
    general: [],
    mobile: [10, 11],
    fixedLine: [10],
  ),
  IsoCode.MY: PhoneMetadataLengths(
    general: [],
    mobile: [9, 10],
    fixedLine: [8, 9],
  ),
  IsoCode.MZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.NA: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 9],
  ),
  IsoCode.NC: PhoneMetadataLengths(
    general: [],
    mobile: [6],
    fixedLine: [6],
  ),
  IsoCode.NE: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.NF: PhoneMetadataLengths(
    general: [],
    mobile: [6],
    fixedLine: [6],
  ),
  IsoCode.NG: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [7, 8, 10],
  ),
  IsoCode.NI: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.NL: PhoneMetadataLengths(
    general: [],
    mobile: [9, 11],
    fixedLine: [9],
  ),
  IsoCode.NO: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.NP: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [8],
  ),
  IsoCode.NR: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.NU: PhoneMetadataLengths(
    general: [],
    mobile: [4, 7],
    fixedLine: [4],
  ),
  IsoCode.NZ: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9, 10],
    fixedLine: [8],
  ),
  IsoCode.OM: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.PA: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8],
    fixedLine: [7],
  ),
  IsoCode.PE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.PF: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.PG: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [7],
  ),
  IsoCode.PH: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [6, 8, 9, 10],
  ),
  IsoCode.PK: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [9, 10],
  ),
  IsoCode.PL: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 9],
  ),
  IsoCode.PM: PhoneMetadataLengths(
    general: [],
    mobile: [6, 9],
    fixedLine: [6],
  ),
  IsoCode.PR: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.PS: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.PT: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.PW: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.PY: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 8, 9],
  ),
  IsoCode.QA: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.RE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.RO: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [6, 9],
  ),
  IsoCode.RS: PhoneMetadataLengths(
    general: [],
    mobile: [8, 9, 10],
    fixedLine: [7, 8, 9, 10, 11, 12],
  ),
  IsoCode.RU: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.RW: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 9],
  ),
  IsoCode.SA: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.SB: PhoneMetadataLengths(
    general: [],
    mobile: [5, 7],
    fixedLine: [5],
  ),
  IsoCode.SC: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.SD: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.SE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 8, 9],
  ),
  IsoCode.SG: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.SH: PhoneMetadataLengths(
    general: [],
    mobile: [5],
    fixedLine: [4, 5],
  ),
  IsoCode.SI: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.SJ: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.SK: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [6, 7, 9],
  ),
  IsoCode.SL: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.SM: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [10],
  ),
  IsoCode.SN: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.SO: PhoneMetadataLengths(
    general: [],
    mobile: [7, 8, 9],
    fixedLine: [6, 7],
  ),
  IsoCode.SR: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [6, 7],
  ),
  IsoCode.SS: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.ST: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [7],
  ),
  IsoCode.SV: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.SX: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.SY: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 9],
  ),
  IsoCode.SZ: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.TA: PhoneMetadataLengths(
    general: [],
    mobile: [4],
    fixedLine: [4],
  ),
  IsoCode.TC: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.TD: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.TG: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.TH: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8],
  ),
  IsoCode.TJ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.TK: PhoneMetadataLengths(
    general: [],
    mobile: [4, 5, 6, 7],
    fixedLine: [4, 5, 6, 7],
  ),
  IsoCode.TL: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [7],
  ),
  IsoCode.TM: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.TN: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.TO: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [5],
  ),
  IsoCode.TR: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.TT: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.TV: PhoneMetadataLengths(
    general: [],
    mobile: [6, 7],
    fixedLine: [5],
  ),
  IsoCode.TW: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [8, 9],
  ),
  IsoCode.TZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.UA: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.UG: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.US: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.UY: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8],
  ),
  IsoCode.UZ: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.VA: PhoneMetadataLengths(
    general: [],
    mobile: [9, 10],
    fixedLine: [6, 7, 8, 9, 10, 11],
  ),
  IsoCode.VC: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.VE: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.VG: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.VI: PhoneMetadataLengths(
    general: [],
    mobile: [10],
    fixedLine: [10],
  ),
  IsoCode.VN: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [10],
  ),
  IsoCode.VU: PhoneMetadataLengths(
    general: [],
    mobile: [7],
    fixedLine: [5],
  ),
  IsoCode.WF: PhoneMetadataLengths(
    general: [],
    mobile: [6],
    fixedLine: [6],
  ),
  IsoCode.WS: PhoneMetadataLengths(
    general: [],
    mobile: [7, 10],
    fixedLine: [5, 6],
  ),
  IsoCode.XK: PhoneMetadataLengths(
    general: [],
    mobile: [8],
    fixedLine: [8, 9],
  ),
  IsoCode.YE: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [7, 8],
  ),
  IsoCode.YT: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.ZA: PhoneMetadataLengths(
    general: [],
    mobile: [5, 6, 7, 8, 9],
    fixedLine: [9],
  ),
  IsoCode.ZM: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [9],
  ),
  IsoCode.ZW: PhoneMetadataLengths(
    general: [],
    mobile: [9],
    fixedLine: [5, 6, 7, 8, 9, 10],
  ),
};
